Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.saxsource
Interface SaxEventBuffer

All Known Implementing Classes:
  SaxEventBufferImpl

    public interface SaxEventBuffer

Field Summary
`static int` | `CHARACTERS`
`static int` | `COMMENT`
`static int` | `END_DOCUMENT`
`static int` | `END_ELEMENT`
`static int` | `END_PREFIX_MAPPING`
`static int` | `IGNORABLE_WHITESPACE`
`static int` | `LOCATOR`
`static int` | `PROCESSING_INSTRUCTION`
`static int` | `START_DOCUMENT`
`static int` | `START_ELEMENT`
`static int` | `START_PREFIX_MAPPING`

Method Summary
`void` | `closeEvents(org.xml.sax.ContentHandler handler)`
`org.xml.sax.XMLReader` | `createXmlReader()`
`void` | `replayEvents(org.xml.sax.ContentHandler handler)`

Field Detail

### START_DOCUMENT

    static final int START_DOCUMENT

See Also:
  Constant Field Values

### END_DOCUMENT

    static final int END_DOCUMENT

See Also:
  Constant Field Values

### START_PREFIX_MAPPING

    static final int START_PREFIX_MAPPING

See Also:
  Constant Field Values

### END_PREFIX_MAPPING

    static final int END_PREFIX_MAPPING

See Also:
  Constant Field Values

### START_ELEMENT

    static final int START_ELEMENT

See Also:
  Constant Field Values

### END_ELEMENT

    static final int END_ELEMENT

See Also:
  Constant Field Values

### CHARACTERS

    static final int CHARACTERS

See Also:
  Constant Field Values

### IGNORABLE_WHITESPACE

    static final int IGNORABLE_WHITESPACE

See Also:
  Constant Field Values

### PROCESSING_INSTRUCTION

    static final int PROCESSING_INSTRUCTION

See Also:
  Constant Field Values

### COMMENT

    static final int COMMENT

See Also:
  Constant Field Values

### LOCATOR

    static final int LOCATOR

See Also:
  Constant Field Values

Method Detail

### createXmlReader

    org.xml.sax.XMLReader createXmlReader()

### replayEvents

    void replayEvents(org.xml.sax.ContentHandler handler)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### closeEvents

    void closeEvents(org.xml.sax.ContentHandler handler)
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD